summaryrefslogtreecommitdiffstats
path: root/system/profile-sync-daemon/rc.psd
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-12-16 20:09:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-16 20:09:41 +0700
commit7f0a7b947ecefd76928b7662ee0d7511d7c8af2b (patch)
tree6f27e7d61cc7f0b18f5b149e8052a6bf695b7580 /system/profile-sync-daemon/rc.psd
parent813480aa170ce64f875a7243f398e0df6c28a20f (diff)
downloadslackbuilds-7f0a7b947ecefd76928b7662ee0d7511d7c8af2b.tar.gz
slackbuilds-7f0a7b947ecefd76928b7662ee0d7511d7c8af2b.tar.xz
system/profile-sync-daemon: Updated for version 5.54.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to '')
-rw-r--r--system/profile-sync-daemon/rc.psd47
1 files changed, 47 insertions, 0 deletions
diff --git a/system/profile-sync-daemon/rc.psd b/system/profile-sync-daemon/rc.psd
new file mode 100644
index 0000000000..4726a28e44
--- /dev/null
+++ b/system/profile-sync-daemon/rc.psd
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# Adapted by Marcel Saegebarth for slackbuilds.org for
+# http://slackbuilds.org/result/?search=profile-sync-daemon.
+
+description="Webbrowser profile syncing"
+extra_commands="resync"
+description_resync="Manually sync the disk profile with running tmpfs image"
+
+start() {
+ echo "Starting Profile-Sync-Daemon"
+ /usr/bin/profile-sync-daemon sync
+}
+
+stop() {
+ echo "Stopping Profile-Sync-Daemon"
+ /usr/bin/profile-sync-daemon unsync
+}
+
+status() {
+ /usr/bin/profile-sync-daemon debug
+}
+
+resync() {
+ echo "Syncing browser profiles in tmpfs to physical disc"
+ /usr/bin/profile-sync-daemon resync
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ resync)
+ resync
+ ;;
+
+ status)
+ status
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|resync|status}"
+ exit 1
+esac